## deepin-turbo 0.0.5

=== src/booster-desktop/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")
set(INVOKER "${CMAKE_HOME_DIRECTORY}/src/invoker")
set(CMAKE_CXX_FLGAS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_BUILD_RPATH ${CMAKE_BINARY_DIR}/src/launcherlib)
set(LINK_LIBS deepin-turbo)
set(SRC booster-desktop.cpp ${COMMON}/report.c ${INVOKER}/search.c)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON} ${LAUNCHER} ${INVOKER})

# Set executable
add_executable(booster-desktop ${SRC})

# Find the QtWidgets library
find_package(Qt5Widgets CONFIG REQUIRED)

target_link_libraries(booster-desktop
    ${LINK_LIBS}
    Qt5::Widgets
)

# Add install rule
install(TARGETS booster-desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/deepin-turbo/)
install(FILES deepin-turbo-booster-desktop.service DESTINATION /usr/lib/systemd/user/)
install(FILES desktop.conf DESTINATION /usr/lib/binfmt.d)

=== src/invoker/CMakeLists.txt ===
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

# Set sources
set(SRC invokelib.cpp invoker.cpp ${COMMON}/report.c search.c)

# Set include dirs
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${DBUS_INCLUDE_DIRS} ${COMMON})

# Set precompiler flags
add_definitions(-DPROG_NAME_INVOKER="deepin-turbo-invoker")

# Set target
add_executable(deepin-turbo-invoker ${SRC})

target_link_libraries(deepin-turbo-invoker ${DBUS_LDFLAGS})

# Add install rule
install(TARGETS deepin-turbo-invoker DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/)

=== src/launcherlib/CMakeLists.txt ===
set(COMMON ${CMAKE_HOME_DIRECTORY}/src/common)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Set sources
set(SRC appdata.cpp booster.cpp connection.cpp daemon.cpp logger.cpp
        singleinstance.cpp socketmanager.cpp)

set(HEADERS appdata.h booster.h connection.h daemon.h logger.h launcherlib.h
    singleinstance.h socketmanager.h ${COMMON}/protocol.h)

# Set libraries to be linked. Shared libraries to be preloaded are not linked in anymore,
# but dlopen():ed and listed in src/launcher/preload.h instead.
link_libraries(${LIBDL} "-L/lib -lsystemd")

# Set executable
add_library(deepin-turbo SHARED ${SRC} ${MOC_SRC})
set_target_properties(deepin-turbo PROPERTIES VERSION 0.1 SOVERSION 0)

if (NOT CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

# Add install rule
install(TARGETS deepin-turbo DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/deepin-turbo
  PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

=== src/single-instance/CMakeLists.txt ===
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

# Set sources
set(SRC main.cpp  ${COMMON}/report.c)

# Find dbus
include(FindPkgConfig)
pkg_check_modules(DBUS dbus-1 REQUIRED)

# Set include dirs
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${DBUS_INCLUDE_DIRS} ${COMMON})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fPIC")

# Link as position independent executable
set(CMAKE_EXE_LINKER_FLAGS "-pie -rdynamic")

# Set C flags because of report.c
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fPIC")

# Set link libraries
link_libraries(${DBUS_LDFLAGS})

# Set target
add_executable(deepin-turbo-single-instance ${SRC})

# Add install rule
install(TARGETS deepin-turbo-single-instance DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/)

=== debian/changelog ===
deepin-turbo (0.0.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 22 Jan 2021 11:11:15 +0800

deepin-turbo (0.0.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 Nov 2020 13:09:43 +0800

deepin-turbo (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Packages <zs@deepin.com>  Thu, 30 Aug 2018 15:36:22 +0800

=== debian/control ===
Source: deepin-turbo
Section: devel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com> 
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               pkg-config,
               python,
               libdbus-1-dev,
               dbus,
               libsystemd-dev,
               qtbase5-dev,
               libdtkwidget-dev
Standards-Version: 3.9.5

Package: deepin-turbo
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Application launcher for fast startup
 Application invoker and launcher daemon that speed up
 application startup time and share memory. Provides also
 functionality to launch applications as single instances.

Package: deepin-turbo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, deepin-turbo
Description: Development files for launchable applications
  evelopment files for creating applications that can be launched
  using deepin-turbo.

Package: deepin-turbo-booster
Section: devel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, deepin-turbo
Description:  DTK application booster binary for deepin-turbo

## deepin-turbo 0.0.6.2

=== CMakeLists.txt ===
project(deepin-turbo)

cmake_minimum_required(VERSION 2.6)
cmake_policy(VERSION 2.6)

#
# NOTE: For verbose build use VERBOSE=1
#

# Default C++-flags. Sub-builds might alter these.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -W -Wall -Wextra -g -O3 -Wl,--as-needed")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-z,noexecstack")
endif ()

# Default C-flags. Sub-builds might alter these.
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -W -Wall -Wextra -g -O3")

set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
set(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")

# Find libdl
find_library(LIBDL NAMES dl)

if ($ENV{DEBUG_BUILD})
    add_definitions(-DDEBUG_BUILD)
endif ($ENV{DEBUG_BUILD})

# Set the program name defines. Must be at this level due to unit tests.
add_definitions(-DPROG_NAME_INVOKER="deepin-turbo-invoker")
add_definitions(-DPROG_NAME_SINGLE_INSTANCE="deepin-turbo-single-instance")

# applauncherd will try to load single-instance using this path
add_definitions(-DSINGLE_INSTANCE_PATH="${CMAKE_INSTALL_PREFIX}/bin/deepin-turbo-single-instance")

# Disable debug logging, only error and warning messages get logged
# Currently effective only for invoker. Launcher part recognizes --debug
# which enables console echoing and debug messages.
add_definitions(-DDEBUG_LOGGING_DISABLED)

# Build with test coverage switch if BUILD_COVERAGE environment variable is set
if ($ENV{BUILD_COVERAGE})
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage -DWITH_COVERAGE")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage -DWITH_COVERAGE")
    set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} --coverage")
endif ($ENV{BUILD_COVERAGE})

# Sub build: applauncherd
add_subdirectory(src)

# Target for documentation (make doc)
#find_program(Doxygen NAMES doxygen)
#if (EXISTS ${Doxygen})
#    add_custom_target(doc COMMAND cd doc && ${Doxygen} doxygen-impldoc.conf COMMAND cd doc && ${Doxygen} doxygen-userdoc.conf COMMAND cd doc && ${Doxygen} doxygen-mdeclarativecache.conf)
#else (EXISTS ${Doxygen})
#    message(STATUS "Doxygen not found: you're not able to build documentation.")
#endif (EXISTS ${Doxygen})

# Install html documentation
install(DIRECTORY doc/implementation-documentation DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/deepin-turbo OPTIONAL)
install(DIRECTORY doc/user-documentation DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/deepin-turbo OPTIONAL)
install(DIRECTORY doc/mdeclarativecache-documentation DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/deepin-turbo OPTIONAL)

=== src/booster-dtkwidget/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON} ${LAUNCHER})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)
set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_VERBOSE_MAKEFILE ON)

SET(CMAKE_BUILD_RPATH ${CMAKE_BINARY_DIR}/src/launcherlib)

# Find the QtWidgets library
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(DtkWidget5.5 CONFIG REQUIRED)

set(LINK_LIBS
    deepin-turbo
    Qt5::Widgets
    ${DtkWidget5.5_LIBRARIES}
    )

# Set sources
set(SRC booster-dtkwidget.cpp)

# Set executable
add_executable(booster-dtkwidget ${SRC} ${MOC_SRC})

target_link_libraries(booster-dtkwidget
    ${LINK_LIBS}
    )

# Add install rule
install(TARGETS booster-dtkwidget DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/deepin-turbo/)
install(FILES deepin-turbo-booster-dtkwidget.service DESTINATION /usr/lib/systemd/user/)

=== src/booster-generic/CMakeLists.txt ===
set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON} ${LAUNCHER})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Set sources
set(SRC booster-generic.cpp)

# Set libraries to be linked.
link_libraries("-L../launcherlib -lapplauncherd" ${LIBDL})

# Set executable
add_executable(booster-generic ${SRC} ${MOC_SRC})
add_dependencies(booster-generic applauncherd)

# Add install rule
install(TARGETS booster-generic DESTINATION /usr/libexec/mapplauncherd/)
install(FILES booster-generic.service DESTINATION /usr/lib/systemd/user/)

=== debian/changelog ===
deepin-turbo (0.0.6.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 20 Oct 2021 14:53:37 +0800

## deepin-turbo 0.0.6.3

=== src/CMakeLists.txt ===
# Sub build: invoker
add_subdirectory(invoker)

# Sub build: launcher library
add_subdirectory(launcherlib)

# Sub build: generic booster plugin
#add_subdirectory(booster-generic)

# Sub build: Deepin Tool Kit widget booster plugin
add_subdirectory(booster-dtkwidget)

# Sub build: single-instance binary / library
add_subdirectory(single-instance)

# Sub build: desktop booster plugin
add_subdirectory(booster-desktop)

=== src/booster-desktop/CMakeLists.txt ===
--- 
+++ 
@@ -26,5 +26,5 @@
 
 # Add install rule
 install(TARGETS booster-desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/deepin-turbo/)
-install(FILES deepin-turbo-booster-desktop.service DESTINATION /usr/lib/systemd/user/)
+#install(FILES deepin-turbo-booster-desktop.service DESTINATION /usr/lib/systemd/user/)
 install(FILES desktop.conf DESTINATION /usr/lib/binfmt.d)

=== src/booster-dtkwidget/CMakeLists.txt ===
--- 
+++ 
@@ -21,12 +21,12 @@
 
 # Find the QtWidgets library
 find_package(Qt5Widgets CONFIG REQUIRED)
-find_package(DtkWidget5.5 CONFIG REQUIRED)
+find_package(DtkWidget CONFIG REQUIRED)
 
 set(LINK_LIBS
     deepin-turbo
     Qt5::Widgets
-    ${DtkWidget5.5_LIBRARIES}
+    ${DtkWidget_LIBRARIES}
     )
 
 # Set sources
@@ -41,4 +41,4 @@
 
 # Add install rule
 install(TARGETS booster-dtkwidget DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/deepin-turbo/)
-install(FILES deepin-turbo-booster-dtkwidget.service DESTINATION /usr/lib/systemd/user/)
+#install(FILES deepin-turbo-booster-dtkwidget.service DESTINATION /usr/lib/systemd/user/)

=== debian/changelog ===
deepin-turbo (0.0.6.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Jun 2022 10:45:26 +0800

=== debian/control ===
Source: deepin-turbo
Section: devel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 dbus,
 debhelper (>= 9.0.0),
 libdbus-1-dev,
 libdtkwidget-dev,
 libsystemd-dev,
 pkg-config,
 python,
 qtbase5-dev,
Standards-Version: 3.9.5

Package: deepin-turbo
Architecture: any
#Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Application launcher for fast startup
 Application invoker and launcher daemon that speed up
 application startup time and share memory. Provides also
 functionality to launch applications as single instances.
 .
 This package contains the shared libraries.

Package: deepin-turbo-dev
Architecture: any
#Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 deepin-turbo(=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development files for launchable applications
 evelopment files for creating applications that can be launched
 using deepin-turbo.
 .
 This package contains the header files and static libraries of deepin-turbo

Package: deepin-turbo-booster
Section: devel
Architecture: any
#Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 deepin-turbo,
 ${misc:Depends},
 ${shlibs:Depends},
Description: DTK application booster binary for deepin-turbo
 Application invoker and launcher daemon that speed up
 application startup time and share memory. Provides also
 functionality to launch applications as single instances.
 .
 This package contains the shared libraries.
